package com.platform.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.platform.entities.VolumeInitEntity;

/**
 * @author chen
 * 数据迁移状态 临时 存放 ，
 */
@Repository(value = "volumeDao")
public interface VolumeDao {

	/** 查
	 * @return
	 * @throws Exception
	 */
	List<VolumeInitEntity> findAll() throws Exception;
	
	int update(VolumeInitEntity data) throws Exception;
	
	int save(VolumeInitEntity data) throws Exception;
	
	int remove(String name) throws Exception;
}
